## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# KeyTable.hpp File Reference

Include dependency graph for KeyTable.hpp:

Go to the source code of this file.

## Classes

- class KeyTable

## Defines

- #define XALAN_KEYTABLE_HEADER_GUARD

## Typedefs

- typedef XalanMap< XalanDOMString,
  MutableNodeRefList > NodeListMapTypeDefinitions
    Table of element keys, keyed by document node.

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class KeyDeclaration
    Id
      KeyTable.hpp,v 1.9 2004/11/10 18:02:25 mhoyt Exp

## Define Documentation

#define XALAN_KEYTABLE_HEADER_GUARD

## Typedef Documentation

typedef XalanMap<XalanDOMString, MutableNodeRefList> NodeListMapTypeDefinitions

| Table of element keys, keyed by document node. An instance of this class is keyed by a Document node that should be matched with the root of the current context. It contains a table of name mappings to tables that contain mappings of identifier values to nodes.

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class KeyDeclaration

| Id KeyTable.hpp,v 1.9 2004/11/10 18:02:25 mhoyt Exp State Exp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.